
#include "inc/easylogging++.h"
#include <iostream>
using namespace std;

INITIALIZE_EASYLOGGINGPP

int main()
{
   
    /*/ 
    必须设置标记 LoggingFlag::StrictLogFileSizeCheck 
    否则,配置文件中MAX_LOG_FILE_SIZE = 1048576不生效 
    /*/  
    el::Loggers::addFlag(el::LoggingFlag::StrictLogFileSizeCheck);  
  
    el::Configurations conf("../../my_log.conf");  
  
    /// 可以单独设置某一个logger的配置  
    el::Loggers::reconfigureLogger("default", conf);  
  
    /// 也可以设置全部logger的配置  
    el::Loggers::reconfigureAllLoggers(conf); 
    LOG(INFO) << "***** info log  *****";

cout << "Hello, world!" << endl;

       return 0;
}

